Index: Commands/todo.plist
===================================================================
--- Commands/todo.plist	(revision 6340)
+++ Commands/todo.plist	(working copy)
@@ -28,6 +28,8 @@
 require "erb"
 include ERB::Util
 
+ignores = ENV['TODO_IGNORE_PATTERN']
+
 def TextMate.file_link (file, line = 0)
   return "txmt://open/?url=file://" +
     file.gsub(/[^a-zA-Z0-9.-\/]/) { |m| sprintf("%%%02X", m[0]) } +
@@ -38,6 +40,9 @@
 $tags.each { |tag| tag[:matches] = [ ] }
 
 TextMate.each_text_file do |file|
+  if ignores != nil and file =~ /#{ignores}/ then
+     next
+   end
   $tags.each do |tag|
     File.open(file) do |io|
       io.grep(tag[:regexp]) do |content|
Index: Commands/Help.tmCommand
===================================================================
--- Commands/Help.tmCommand	(revision 6340)
+++ Commands/Help.tmCommand	(working copy)
@@ -18,6 +18,9 @@
 The "Show TODO List" command will scan your current document (on disk) or documents in your project for lines containing certain tags (see below).
 It will show an ordered list of these tags and their context which can be clicked to jump to that line in that file.
 
+It will also ignore files whose name matches the enviromental variable
+    &lt;code&gt;TODO\_IGNORE\_PATTERN&lt;/code&gt;
+
 ### Tags
 
 Preconfigured tags are:
